# Class PiParallel.ParallelRamanujanPiCalculator

java.lang.Object
org.apfloat.samples.Pi.RamanujanPiCalculator
org.apfloat.samples.PiParallel.ParallelRamanujanPiCalculator

All Implemented Interfaces:
  `Serializable, Operation<Apfloat>`

Direct Known Subclasses:
  `PiDistributed.DistributedRamanujanPiCalculator`

Enclosing class:
  `PiParallel`

public static class PiParallel.ParallelRamanujanPiCalculator extends Pi.RamanujanPiCalculator
Class for calculating pi using the parallel Ramanujan's binary splitting algorithm.

Version:
  1.14.0
Author:
  Mikko Tommila
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  ``
  `ParallelRamanujanPiCalculator(long precision, int radix)`
  Construct a pi calculator with the specified precision and radix.
  `protected`
  `ParallelRamanujanPiCalculator(Pi.BinarySplittingPiCalculator calculator, long precision, int radix)`
  Construct a pi calculator with the specified binary splitting algorithm.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Apfloat`
  `execute()`
  Calculate pi using the Ramanujan binary splitting algorithm.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ParallelRamanujanPiCalculator

    public ParallelRamanujanPiCalculator(long precision, int radix) throws ApfloatRuntimeException
    Construct a pi calculator with the specified precision and radix.
    Parameters:
      `precision` - The target precision.
      `radix` - The radix to be used.
    Throws:
      `ApfloatRuntimeException`

  - ### ParallelRamanujanPiCalculator

    protected ParallelRamanujanPiCalculator(Pi.BinarySplittingPiCalculator calculator, long precision, int radix) throws ApfloatRuntimeException
    Construct a pi calculator with the specified binary splitting algorithm.
    Parameters:
      `calculator` - The binary splitting algorithm to be used.
      `precision` - The target precision.
      `radix` - The radix to be used.
    Throws:
      `ApfloatRuntimeException`

- ## Method Details

  - ### execute

    public Apfloat execute()
    Description copied from class: `Pi.RamanujanPiCalculator`
    Calculate pi using the Ramanujan binary splitting algorithm.
    Specified by:
      `execute` in interface `Operation<Apfloat>`
    Overrides:
      `execute` in class `Pi.RamanujanPiCalculator`
    Returns:
      Return value of the operation.